<?php
/**
 * @package     Joomla.Site
 * @subpackage  com_content
 *
 * @copyright   Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;
JHtml::addIncludePath(JPATH_COMPONENT . '/helpers');
JHtml::addIncludePath(T3_PATH . '/html/com_content');
JHtml::addIncludePath(dirname(dirname(__FILE__)));

$params   = $this->item->params;
$images   = json_decode($this->item->images);
$urls     = json_decode($this->item->urls);
$canEdit  = $params->get('access-edit');
$user     = JFactory::getUser();
$info    = $params->get('info_block_position', 0);
$aInfo1 = ($params->get('show_publish_date') || $params->get('show_category') || $params->get('show_parent_category') || $params->get('show_author'));
$aInfo2 = ($params->get('show_create_date') || $params->get('show_modify_date') || $params->get('show_hits'));
$topInfo = ($aInfo1 && $info != 1) || ($aInfo2 && $info == 0);
$botInfo = ($aInfo1 && $info == 1) || ($aInfo2 && $info != 0);
$icons = $params->get('access-edit') || $params->get('show_print_icon') || $params->get('show_email_icon');

JHtml::addIncludePath(JPATH_COMPONENT . '/helpers');
JHtml::addIncludePath(T3_PATH.'/html/com_content');
JHtml::addIncludePath(dirname(dirname(__FILE__)));

// Template helper
JLoader::register('MagzHelper', T3_TEMPLATE_PATH . '/templateHelper.php');

// Create shortcuts to some parameters.
$tplparams = JFactory::getApplication()->getTemplate(true)->params;
$input     = JFactory::getApplication()->input;
$category  = JCategories::getInstance('Content')->get($this->item->catid);
$catparam  = MagzHelper::getParam($category);
$exinfo    = MagzHelper::getEx($this->item);

// Create shortcuts to some parameters.
$params	   = $this->item->params;
$urls      = json_decode($this->item->urls);
$canEdit   = $this->item->params->get('access-edit');
$user      = JFactory::getUser();

//mark class
JFactory::getApplication()->input->set('extype', $exinfo['type']);

if(!empty($this->item->pagination)){
	if($navitems = MagzHelper::getNav($this->item,  $this->params)){
		// Output.
		$html = '';
		$pnSpace = '';
		if (JText::_('JGLOBAL_LT') || JText::_('JGLOBAL_GT')) {
			$pnSpace = ' ';
		}

		if (isset($navitems['prev']) && $this->item->prev) {
			$html .= '
			<li class="pagenav-prev">
				<div class="pagenav-container">
					<div class="pagenav-text"><span>' . JHtml::_('string.truncate', $navitems['prev']->title, 73) . '</span></div>
					<a href="'. $this->item->prev .'" rel="prev">'
						. JText::_('JGLOBAL_LT') . $pnSpace . JText::_('JPREV') . '</a>
				</div>
			</li>';
		}

		if (isset($navitems['next']) && $this->item->next) {
			$html .= '
			<li class="pagenav-next">
				<div class="pagenav-container">
					<div class="pagenav-text"><span>' . JHtml::_('string.truncate', $navitems['next']->title, 73) . '</span></div>
					<a href="'. $this->item->next .'" rel="next">'
						. JText::_('JNEXT') . $pnSpace . JText::_('JGLOBAL_GT') .'</a>
				</div>
			</li>';
		}

		if(!empty($html)){
			$this->item->pagination = '<ul class="pagenav floatnav">' . $html . '</ul>';
		}
	}
}

//comment
$this->item->replaced = 0;
?>

<?php if ($this->params->get('show_page_heading', 1)) : ?>
	<div class="page-header clearfix">
		<h1 class="page-title"><?php echo $this->escape($this->params->get('page_heading')); ?></h1>
	</div>
<?php endif; ?>

<div class="item-page<?php echo $this->pageclass_sfx, ' ', $exinfo['type'] ?> clearfix">

  <?php if (!empty($this->item->pagination) && $this->item->pagination && !$this->item->paginationposition && $this->item->paginationrelative) : ?>
    <?php echo $this->item->pagination; ?>
  <?php endif; ?>

	<!-- Article -->
  <article itemscope itemtype="http://schema.org/Article">
    <meta itemprop="inLanguage" content="<?php echo ($this->item->language === '*') ? JFactory::getConfig()->get('language') : $this->item->language; ?>" />

		<?php if ($exinfo['type'] != 'text') : ?>
			<div class="media-header">
				<div class="container">
		<?php endif; ?>

		<?php if ($params->get('show_title') && $exinfo['type'] == 'text') : ?>
		<header class="article-header clearfix" itemprop="name">
			<h1 class="article-title">
				<?php if ($params->get('link_titles') && !empty($this->item->readmore_link)) : ?>
					<a href="<?php echo $this->item->readmore_link; ?>"> <?php echo $this->escape($this->item->title); ?></a>
				<?php else : ?>
					<?php echo $this->escape($this->item->title); ?>
				<?php endif; ?>
			</h1>
		</header>
		<?php endif; ?>

		<?php echo $this->item->event->beforeDisplayContent; ?>

		<?php if (isset($urls) && ((!empty($urls->urls_position) && ($urls->urls_position=='0')) || ($params->get('urls_position')=='0' && empty($urls->urls_position) )) || (empty($urls->urls_position) && (!$params->get('urls_position')))): ?>
			<?php echo $this->loadTemplate('links'); ?>
		<?php endif; ?>

		<?php if ($params->get('access-view')):?>

			<?php if (!empty($this->item->pagination) AND $this->item->pagination AND !$this->item->paginationposition AND !$this->item->paginationrelative) : ?>
				<?php echo $this->item->pagination; ?>
			<?php endif ?>
			
			<!-- Aside -->
      <?php if( $topInfo && $icons): ?>
			<aside class="article-aside clearfix">

				<?php if (($params->get('show_author') && !empty($this->item->author )) || ($params->get('show_category')) || ($params->get('show_create_date')) || ($params->get('show_parent_category')) || ($params->get('show_publish_date')) || ($params->get('show_hits'))) : ?>
				<dl class="article-info pull-left">
					<dt class="article-info-term"><?php  echo JText::_('COM_CONTENT_ARTICLE_INFO'); ?></dt>
					
					<?php if ($params->get('show_category')) : ?>
						<div
							class="category-name <?php echo $catparam->get('tpl_cat_color', '') ?>" itemprop="genre">
							<?php $title = $this->escape($this->item->category_title);
							$url = '<a href="' . JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->catid)) . '">' . $title . '</a>'; ?>
							<?php if ($params->get('link_category')) : ?>
								<?php echo '<span class="name">', JText::sprintf('COM_CONTENT_CATEGORY', '</span><span>' . $url . '</span>'); ?>
							<?php else : ?>
								<?php echo '<span>', JText::sprintf('COM_CONTENT_CATEGORY', '</span><span>' . $title . '</span>'); ?>
							<?php endif; ?>
						</div>
					<?php endif; ?>
					
					<?php if ($params->get('show_author') && !empty($this->item->author )) : ?>
					<dd class="createdby" itemprop="author" itemscope itemtype="http://schema.org/Person">
						<?php $author = $this->item->created_by_alias ? $this->item->created_by_alias : $this->item->author; ?>	
						<?php if (!empty($this->item->contactid) && $params->get('link_author') == true): ?>
							<?php $addparams = $tplparams->get('tpl_userpage_mid') ? '&Itemid=' . $tplparams->get('tpl_userpage_mid') : ''; ?>							
							<?php echo '<span class="name">', JText::sprintf('COM_CONTENT_WRITTEN_BY', '</span><span>' . JHtml::_('link', JRoute::_('index.php?option=com_contact&view=contact' . $addparams . '&id=' . $this->item->contactid), $author) . '</span>'); ?>
						<?php else :?>
							<?php echo '<span class="name">', JText::sprintf('COM_CONTENT_WRITTEN_BY', '</span><span>'.$author.'</span>'); ?>
						<?php endif; ?>
					</dd>
					<?php endif; ?>

					<?php if ($params->get('show_publish_date')) : ?>
					<dd class="published" itemprop="datePublished"> 
						<span><?php echo MagzHelper::relTime($this->item->publish_up); ?></span>
					</dd>
					<?php endif; ?>

					<?php if ($params->get('show_create_date')) : ?>
					<dd class="create" itemprop="dateCreated"> 
						<span><?php echo MagzHelper::relTime($this->item->created); ?></span>
					</dd>
					<?php endif; ?>

					<?php if ($params->get('show_parent_category') && $this->item->parent_slug != '1:root') : ?>
					<dd class="parent-category-name" itemprop="genre">
						<?php	
							$title = $this->escape($this->item->parent_title);
							$url = '<a href="'.JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->parent_slug)).'">'.$title.'</a>';
						?>
						<?php if ($params->get('link_parent_category') and $this->item->parent_slug) : ?>
							<?php echo JText::sprintf('COM_CONTENT_PARENT', $url); ?>
						<?php else : ?>
							<?php echo JText::sprintf('COM_CONTENT_PARENT', $title); ?>
						<?php endif; ?>
					</dd>
					<?php endif; ?>

					<?php if ($params->get('show_hits')) : ?>
					<dd class="hits" itemprop="interactionCount">
						<span><?php echo JText::sprintf('COM_CONTENT_ARTICLE_HITS', '<span>'.$this->item->hits.'</span>'); ?></span>
					</dd>
					<?php endif; ?>
					
					<?php if($this->item->event->afterDisplayTitle && stripos($this->item->event->afterDisplayTitle, 'count') !== false): ?>
						<dd class="comment-count clearfix">
							<!-- Comment count -->
							<?php echo $this->item->event->afterDisplayTitle; ?>
							<!-- Comment count -->
				
						</dd>
					<?php endif; ?>
				
					<!-- AddThis Button BEGIN -->
						<?php if($tplparams->get('tpl_addthis_share', 1)) : ?>
							<a class="addthis_button_compact" addthis:url="<?php echo JUri::getInstance()->toString(array('scheme', 'host', 'port')) . $this->item->readmore_link ?>" addthis:title="<?php echo $this->escape($this->item->title) ?>"> <?php echo JText::_('TPL_TEXT_SHARE') ?> <i class="icon-share"></i></a> 
						<?php endif ?>
					<!-- AddThis Button END -->
					
				</dl>
				<?php endif; ?>
				
				<div class="pull-right">
				
					<?php if ($params->get('show_print_icon') || $params->get('show_email_icon') || $canEdit) : ?>
						<div class="menu-edit pull-right"> 
							<ul class="clearfix">
								<?php if (!$this->print) : ?>
									<?php if ($params->get('show_print_icon')) : ?>
										<li class="print-icon"> <?php echo JHtml::_('icon.print_popup', $this->item, $params); ?> </li>
									<?php endif; ?>
									<?php if ($params->get('show_email_icon')) : ?>
										<li class="email-icon"> <?php echo JHtml::_('icon.email', $this->item, $params); ?> </li>
									<?php endif; ?>
									<?php if ($canEdit) : ?>
										<li class="edit-icon"> <?php echo JHtml::_('icon.edit', $this->item, $params); ?> </li>
									<?php endif; ?>
									
								<?php else : ?>
									<li class="print-icon"> <?php echo JHtml::_('icon.print_screen',  $this->item, $params); ?> </li>
								<?php endif; ?>
							</ul>
						</div>
					<?php endif; ?>
				</div>
			</aside>
      <?php endif; ?>
			<!-- //Aside -->

			<?php if ($params->get('show_title') && $exinfo['type'] != 'text') : ?>
			<header class="article-header clearfix" itemprop="name">
				<h1 class="article-title">
					<?php if ($params->get('link_titles') && !empty($this->item->readmore_link)) : ?>
						<a href="<?php echo $this->item->readmore_link; ?>"> <?php echo $this->escape($this->item->title); ?></a>
					<?php else : ?>
						<?php echo $this->escape($this->item->title); ?>
					<?php endif; ?>
				</h1>
			</header>
			<?php endif; ?>

			<?php 
							
				switch ($exinfo['type']) {
					case 'video':
						echo $this->loadTemplate('video');
						break;
					
					case 'gallery':
						echo $this->loadTemplate('gallery');
						break;

					default:
						echo $this->loadTemplate('text');
						break;
				}
			?>

			<?php if ($exinfo['type'] != 'text') : ?>
					</div>
				</div><!-- //media-header -->
			<?php endif; ?>

		<?php endif; ?>
    
    <?php if($botInfo && ($info == 1)): ?>
    <footer class="article-footer clearfix">
    
    	<?php if (($params->get('show_author') && !empty($this->item->author )) || ($params->get('show_category')) || ($params->get('show_create_date')) || ($params->get('show_parent_category')) || ($params->get('show_publish_date')) || ($params->get('show_hits'))) : ?>
				<dl class="article-info pull-left">
					<dt class="article-info-term"><?php  echo JText::_('COM_CONTENT_ARTICLE_INFO'); ?></dt>
					
					<?php if ($params->get('show_category')) : ?>
						<div
							class="category-name <?php echo $catparam->get('tpl_cat_color', '') ?>" itemprop="genre">
							<?php $title = $this->escape($this->item->category_title);
							$url = '<a href="' . JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->catid)) . '">' . $title . '</a>'; ?>
							<?php if ($params->get('link_category')) : ?>
								<?php echo '<span class="name">', JText::sprintf('COM_CONTENT_CATEGORY', '</span><span>' . $url . '</span>'); ?>
							<?php else : ?>
								<?php echo '<span>', JText::sprintf('COM_CONTENT_CATEGORY', '</span><span>' . $title . '</span>'); ?>
							<?php endif; ?>
						</div>
					<?php endif; ?>
					
					<?php if ($params->get('show_author') && !empty($this->item->author )) : ?>
					<dd class="createdby" itemprop="author" itemscope itemtype="http://schema.org/Person">
						<?php $author = $this->item->created_by_alias ? $this->item->created_by_alias : $this->item->author; ?>	
						<?php if (!empty($this->item->contactid) && $params->get('link_author') == true): ?>
							<?php $addparams = $tplparams->get('tpl_userpage_mid') ? '&Itemid=' . $tplparams->get('tpl_userpage_mid') : ''; ?>							
							<?php echo '<span class="name">', JText::sprintf('COM_CONTENT_WRITTEN_BY', '</span><span>' . JHtml::_('link', JRoute::_('index.php?option=com_contact&view=contact' . $addparams . '&id=' . $this->item->contactid), $author) . '</span>'); ?>
						<?php else :?>
							<?php echo '<span class="name">', JText::sprintf('COM_CONTENT_WRITTEN_BY', '</span><span>'.$author.'</span>'); ?>
						<?php endif; ?>
					</dd>
					<?php endif; ?>

					<?php if ($params->get('show_publish_date')) : ?>
					<dd class="published" itemprop="datePublished"> 
						<span><?php echo MagzHelper::relTime($this->item->publish_up); ?></span>
					</dd>
					<?php endif; ?>

					<?php if ($params->get('show_create_date')) : ?>
					<dd class="create" itemprop="dateCreated"> 
						<span><?php echo MagzHelper::relTime($this->item->created); ?></span>
					</dd>
					<?php endif; ?>

					<?php if ($params->get('show_parent_category') && $this->item->parent_slug != '1:root') : ?>
					<dd class="parent-category-name" itemprop="genre">
						<?php	
							$title = $this->escape($this->item->parent_title);
							$url = '<a href="'.JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->parent_slug)).'">'.$title.'</a>';
						?>
						<?php if ($params->get('link_parent_category') and $this->item->parent_slug) : ?>
							<?php echo JText::sprintf('COM_CONTENT_PARENT', $url); ?>
						<?php else : ?>
							<?php echo JText::sprintf('COM_CONTENT_PARENT', $title); ?>
						<?php endif; ?>
					</dd>
					<?php endif; ?>

					<?php if ($params->get('show_hits')) : ?>
					<dd class="hits" itemprop="interactionCount">
						<span><?php echo JText::sprintf('COM_CONTENT_ARTICLE_HITS', '<span>'.$this->item->hits.'</span>'); ?></span>
					</dd>
					<?php endif; ?>
					
					<?php if($this->item->event->afterDisplayTitle && stripos($this->item->event->afterDisplayTitle, 'count') !== false): ?>
						<dd class="comment-count clearfix">
							<!-- Comment count -->
							<?php echo $this->item->event->afterDisplayTitle; ?>
							<!-- Comment count -->
				
						</dd>
					<?php endif; ?>
				
					<!-- AddThis Button BEGIN -->
						<?php if($tplparams->get('tpl_addthis_share', 1)) : ?>
							<a class="addthis_button_compact" addthis:url="<?php echo JUri::getInstance()->toString(array('scheme', 'host', 'port')) . $this->item->readmore_link ?>" addthis:title="<?php echo $this->escape($this->item->title) ?>"> <?php echo JText::_('TPL_TEXT_SHARE') ?> <i class="icon-share"></i></a> 
						<?php endif ?>
					<!-- AddThis Button END -->
					
				</dl>
				<?php endif; ?>
    </footer>
    <?php endif; ?>
	</article>
	<!-- //Article -->

	<?php if (!empty($this->item->pagination) && $this->item->pagination && $this->item->paginationposition && $this->item->paginationrelative): ?>
		<?php echo $this->item->pagination; ?>
	<?php endif; ?>

	<?php if ($exinfo['type'] == 'text'): ?>
		<?php echo $this->item->event->afterDisplayContent; ?> 
	<?php endif ?>

	<?php if($exinfo['type'] != 'text' && $this->item->replaced): ?>
		<div class="container comment" itemprop="comment">
			<div id="disqus_thread"></div>
			<a href="http://disqus.com" class="dq-powered"><?php echo JText::_("BLOG COMMENTS POWERED BY DISQUS"); ?></a>
		</div>
	<?php endif ?>
	<!-- Related -->
	<?php if ($tplparams->get('tpl_media_related', 1) && !$input->get('magzpopup', 0)): ?>
	<?php echo $this->loadTemplate('related'); ?>
	<?php endif ?>
	<!-- //Related -->
</div>