<?php
/**
 * @package     Joomla.Site
 * @subpackage  com_content
 *
 * @copyright   Copyright (C) 2005 - 2013 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;


//$tplparams = JFactory::getApplication()->getTemplate(true)->params;
$category  = JCategories::getInstance('Content')->get($this->ritem->catid);
$catparam  = MagzHelper::getParam($category);

$exinfo    = MagzHelper::getEx($this->ritem);
$iclass    = array('items', $exinfo['type']);

$irparams  = $this->ritem->params;
$images    = json_decode($this->ritem->images);
$canEdit   = $this->ritem->params->get('access-edit');

$link      = false;

if (!empty($images->image_intro)) {
	$intro_src   = $images->image_intro;
	$intro_title = !empty($images->image_intro_caption) ? $images->image_intro_caption : $this->ritem->title;
	$intro_alt   = !empty($images->image_intro_alt) ? $images->image_intro_alt : $this->ritem->title;
} else {
	$isrc        = MagzHelper::image($this->ritem, $exinfo['type']);
	$intro_src   = !empty($isrc['src']) ? $isrc['src'] : '';
	$intro_title = $intro_alt = $this->ritem->title;
}

if ($this->ritem->state == 0) {
	$iclass[] = 'system-unpublished';
}
if (empty($intro_src)) {
	$iclass[] = 'no-image';
}

if ($irparams->get('link_titles') && $irparams->get('access-view')) {
	$link = JRoute::_(ContentHelperRoute::getArticleRoute($this->ritem->slug, $this->ritem->catid));
}
?>
<div class="<?php echo implode(' ', array_unique($iclass)) ?>">
	<!-- Article -->
	<article class="clearfix">
		<div class="item-wrap" itemtype="http://schema.org/Article">

			<div class="header-article clearfix"> 
				<div class="item-image images-content clearfix" itemprop="thumbnailUrl">
					<?php if (!empty($intro_src)): ?>
						<?php if ($link): ?>
							<a class="article-link" href="<?php echo $link; ?>" title="<?php echo $this->escape($this->ritem->title); ?>">
						<?php endif; ?>
							<?php echo MagzHelper::icon($exinfo['type']) ?>
							<img title="<?php echo htmlspecialchars($intro_title); ?>"
								 src="<?php echo htmlspecialchars($intro_src); ?>"
								 alt="<?php echo htmlspecialchars($intro_alt); ?>"/>
						<?php if ($link): ?>
							</a>
						<?php endif; ?>
					<?php endif; ?>
				</div>

				<!-- Aside -->
				<?php if (($irparams->get('show_category'))
					or ($irparams->get('show_author'))
					or ($irparams->get('show_create_date'))
					or ($irparams->get('show_publish_date'))
					or ($irparams->get('show_parent_category'))
					or ($irparams->get('show_print_icon'))
					or ($irparams->get('show_email_icon'))
					or ($canEdit)
				) : ?>
					<aside class="article-aside clearfix">

						<?php if (($irparams->get('show_author'))
							or ($irparams->get('show_create_date'))
							or ($irparams->get('show_publish_date'))
							or ($irparams->get('show_parent_category'))
						) : ?>
							<dl class="article-info">
								<dt class="article-info-term"><?php echo JText::_('COM_CONTENT_ARTICLE_INFO'); ?></dt>

								<?php if ($irparams->get('show_category')) : ?>
									<div class="category-name <?php echo $catparam->get('tpl_cat_color', '') ?>" itemprop="genre">
										<?php $title = $this->escape($this->ritem->category_title);
										$url = '<a href="' . JRoute::_(ContentHelperRoute::getCategoryRoute($this->ritem->catslug)) . '">' . $title . '</a>';?>
										<?php if ($irparams->get('link_category') AND $this->ritem->catslug) : ?>
											<?php echo '<span class="name">', JText::sprintf('COM_CONTENT_CATEGORY', '</span><span>' . $url . '</span>'); ?>
										<?php else : ?>
											<?php echo '<span>', JText::sprintf('COM_CONTENT_CATEGORY', '</span><span>' . $title . '</span>'); ?>
										<?php endif; ?>
									</div>
								<?php endif; ?>

								<?php if ($irparams->get('show_publish_date')) : ?>
									<dd class="published" itemprop="datePublished">
										<span><?php echo MagzHelper::relTime($this->ritem->publish_up); ?></span>
									</dd>
								<?php endif; ?>

								<?php if ($irparams->get('show_create_date')) : ?>
									<dd class="create" itemprop="dateCreated">
										<span><?php echo MagzHelper::relTime($this->ritem->created); ?></span>
									</dd>
								<?php endif; ?>

							</dl>
						<?php endif; ?>

						<?php if (/*$irparams->get('show_print_icon') || $irparams->get('show_email_icon') || */$canEdit) : ?>
							<div class="menu-edit pull-right">
								<ul class="clearfix">
									<?php if ($canEdit) : ?>
										<li class="edit-icon"> <?php echo JHtml::_('icon.edit', $this->ritem, $irparams); ?> </li>
									<?php endif; ?>
								</ul>
							</div>
						<?php endif; ?>

					</aside>
				<?php endif; ?>
				<!-- //Aside -->

				<?php if ($irparams->get('show_title')) : ?>
					<header class="article-header clearfix" itemprop="name">
						<h2 class="article-title">
							<?php if ($link) : ?>
								<a class="article-link"
								   href="<?php echo $link; ?>"> <?php echo $this->escape($this->ritem->title); ?></a>
							<?php else : ?>
								<?php echo $this->escape($this->ritem->title); ?>
							<?php endif; ?>
						</h2>
					</header>
				<?php endif; ?>
			</div>

		</div>
	</article>
	<!-- //Article -->
</div>
