<?php
/**
 * @package        Joomla.Site
 * @subpackage    mod_articles_category
 * @copyright    Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license        GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;

//register the helper class
JLoader::register('MagzHelper', T3_TEMPLATE_PATH . '/templateHelper.php');

//template param
$tplparams  = JFactory::getApplication()->getTemplate(true)->params;

//categories
$categories = JCategories::getInstance('Content', array('countItems' => 0));
if (!isset($item_heading)) {
	$item_heading = 4;
}
?>
<ul class="category-module<?php echo $moduleclass_sfx; ?>">
<?php if ($grouped) : ?>
	<?php foreach ($list as $group_name => $group) : ?>
		<li>
			<h<?php echo $item_heading; ?>><?php echo $group_name; ?></h<?php echo $item_heading; ?>>
			<ul>
				<?php
				$i = 0;
				foreach ($group as $item) :
					$images = is_string($item->images) ? json_decode($item->images) : $item->images;
					$exinfo = MagzHelper::getEx($item);

					if (!empty($images->image_intro)) {
						$intro_src   = $images->image_intro;
						$intro_title = !empty($images->image_intro_caption) ? $images->image_intro_caption : $item->title;
						$intro_alt   = !empty($images->image_intro_alt) ? $images->image_intro_alt : $item->title;
					} else {
						$isrc        = MagzHelper::image($item, $exinfo['type']);
						$intro_src   = !empty($isrc['src']) ? $isrc['src'] : '';
						$intro_title = $intro_alt = $item->title;
					}
					
					$iclass = '';
					if ($i == 0) {
						$iclass = ' li-first';
					}
					if ($i == (count($list) - 1)) {
						$iclass = ' li-last';
					}
					if (empty($intro_src)) {
						$iclass .= ' no-images';
					}
					?>
					<li class="clearfix <?php echo $iclass; ?>">
						

						<!-- Add images -->
						<!-- Intro images -->
						<div class="focus-image clearfix">
							<?php if ($item->displayCategoryTitle) : ?>
							<?php
							$category = $categories->get($item->catid);
							$catparams = MagzHelper::getParam($category);
							?>
							<span class="mod-articles-category-category <?php echo $catparams->get('tpl_cat_color') ?>"><?php echo $item->displayCategoryTitle; ?></span>
							<?php endif; ?>
							<?php if (isset($images->image_intro) and !empty($images->image_intro)) : ?>
								<div class="img-intro">
									<?php if ($params->get('link_titles') == 1) : ?>
									<a class="mod-articles-category-title <?php echo $item->active; ?>" href="<?php echo $item->link; ?>">
									<?php endif ?>
										<img
											<?php if ($images->image_intro_caption):
												echo 'class="caption"' . ' title="' . htmlspecialchars($images->image_intro_caption) . '"';
											endif; ?>
											src="<?php echo htmlspecialchars($images->image_intro); ?>"
											alt="<?php echo htmlspecialchars($images->image_intro_alt); ?>"/>
									<?php if ($params->get('link_titles') == 1) : ?>
									</a>
									<?php endif ?>
								</div>
							<?php endif; ?>

							<?php if ($item->displayDate) : ?>
								<span class="mod-articles-category-date"><?php echo MagzHelper::relTime($item->created); ?></span>
							<?php endif; ?>
						</div>

						<!-- End add -->
						<div class="tabs-category clearfix">

							<h<?php echo $item_heading + 1; ?>>
								<?php if ($params->get('link_titles') == 1) : ?>
									<a class="mod-articles-category-title <?php echo $item->active; ?>"
									   href="<?php echo $item->link; ?>">
										<?php echo $item->title; ?>
									</a>
								<?php else : ?>
									<?php echo $item->title; ?>
								<?php endif; ?>
							</h<?php echo $item_heading + 1; ?>>


							<div class="article-aside clearfix">
								<?php if ($params->get('show_author')) : ?>
								<span class="mod-articles-category-writtenby">
								
									<?php $author = $item->author; ?>
									<?php $author = ($item->created_by_alias ? $item->created_by_alias : $author); ?>
									<?php if (!empty($item->contactid) && $item->params->get('link_author') == true): ?>
										<?php $addparams = $tplparams->get('tpl_userpage_mid') ? '&Itemid=' . $tplparams->get('tpl_userpage_mid') : ''; ?>
										<?php echo '<span class="name">', JText::sprintf('TPL_COM_CONTENT_WRITTEN_BY', '</span><span>' . JHtml::_('link', JRoute::_('index.php?option=com_contact&view=contact' . $addparams . '&id=' . $item->contactid), $author) . '</span>'); ?>
									<?php else : ?>
										<?php echo '<span class="name">', JText::sprintf('TPL_COM_CONTENT_WRITTEN_BY', '</span><span>' . $author . '</span>'); ?>
									<?php endif; ?>
								</span>
								<?php endif; ?>
							</div>

							<?php if ($params->get('show_introtext')) : ?>
								<p class="mod-articles-category-introtext">
									<?php echo $item->displayIntrotext; ?>
								</p>
							<?php endif; ?>
						</div>

						<div class="footer-feature clearfix">
							<?php if ($item->displayHits) : ?>
								<span class="mod-articles-category-hits">
									<span><?php echo JText::_('TPL_ARTICLES_CATEGORY_HITS'); ?>: </span>
									<?php echo $item->displayHits; ?>
								</span>
							<?php endif; ?>

							<?php if ($params->get('show_readmore')) : ?>
								<section class="readmore">
									<a class="mod-articles-category-title <?php echo $item->active; ?>"
									   href="<?php echo $item->link; ?>">
										<span>
										<?php if ($item->params->get('access-view') == FALSE) :
											echo JText::_('MOD_ARTICLES_CATEGORY_REGISTER_TO_READ_MORE'); elseif ($readmore = $item->alternative_readmore) :
											echo $readmore;
											echo JHtml::_('string.truncate', $item->title, $params->get('readmore_limit'));
											if ($params->get('show_readmore_title', 0) != 0) :
												echo JHtml::_('string.truncate', ($item->title), $params->get('readmore_limit'));
											endif; elseif ($params->get('show_readmore_title', 0) == 0) :
											echo JText::sprintf('MOD_ARTICLES_CATEGORY_READ_MORE_TITLE'); else :

											echo JText::_('MOD_ARTICLES_CATEGORY_READ_MORE');
											echo JHtml::_('string.truncate', ($item->title), $params->get('readmore_limit'));
										endif; ?>
										</span>
									</a>
								</section>
							<?php endif; ?>
						</div>
					</li>
					<?php
					$i++;
				endforeach; ?>
			</ul>
		</li>
	<?php endforeach; ?>
<?php else : ?>
	<?php
	$i = 0;
	foreach ($list as $item) :
		//Get images 
		// Create a shortcut for params.
		$images = is_string($item->images) ? json_decode($item->images) : $item->images;
		$exinfo = MagzHelper::getEx($item);

		if (!empty($images->image_intro)) {
			$intro_src   = $images->image_intro;
			$intro_title = !empty($images->image_intro_caption) ? $images->image_intro_caption : $item->title;
			$intro_alt   = !empty($images->image_intro_alt) ? $images->image_intro_alt : $item->title;
		} else {
			$isrc        = MagzHelper::image($item, $exinfo['type']);
			$intro_src   = !empty($isrc['src']) ? $isrc['src'] : '';
			$intro_title = $intro_alt = $item->title;
		}

		$iclass = '';
		if ($i == 0) {
			$iclass = ' li-first';
		}
		if ($i == (count($list) - 1)) {
			$iclass = ' li-last';
		}
		if (empty($intro_src)) {
			$iclass .= ' no-images';
		}

		?>
		<li class="clearfix <?php echo $iclass; ?>">
			

			<!-- Add images -->
			<!-- Intro images -->
			<div class="focus-image clearfix">
				<?php if ($item->displayCategoryTitle) : ?>
				<?php
				$category = $categories->get($item->catid);
				$catparams = MagzHelper::getParam($category);
				?>
				<span class="mod-articles-category-category category-name <?php echo $catparams->get('tpl_cat_color') ?>">
					<?php echo $item->displayCategoryTitle; ?>
				</span>
			<?php endif; ?>
				<?php if (!empty($intro_src)): ?>
					<div class="img-intro">
						<?php if ($params->get('link_titles') == 1) : ?>
						<a class="article-link mod-articles-category-title <?php echo $item->active; ?>" href="<?php echo $item->link; ?>">
						<?php endif ?>
							<?php echo MagzHelper::icon($exinfo['type']) ?>
							<img title="<?php echo htmlspecialchars($intro_title); ?>"
								 src="<?php echo htmlspecialchars($intro_src); ?>"
								 alt="<?php echo htmlspecialchars($intro_alt); ?>"/>
						<?php if ($params->get('link_titles') == 1) : ?>
						</a>
						<?php endif ?>
					</div>
				<?php endif; ?>

				<?php if ($item->displayDate) : ?>
					<span class="mod-articles-category-date"><?php echo MagzHelper::relTime($item->created); ?></span>
				<?php endif; ?>
			</div>

			<!-- End add -->
			<div class="tabs-category clearfix">

				<h<?php echo $item_heading + 1; ?>>
					<?php if ($params->get('link_titles') == 1) : ?>
						<a class="mod-articles-category-title <?php echo $item->active; ?>"
						   href="<?php echo $item->link; ?>">
							<?php echo $item->title; ?>
						</a>
					<?php else : ?>
						<?php echo $item->title; ?>
					<?php endif; ?>
				</h<?php echo $item_heading + 1; ?>>

				<div class="article-aside clearfix">
					<?php if ($params->get('show_author')) : ?>
						<span class="mod-articles-category-writtenby">
							<?php $author = $item->author; ?>
							<?php $author = ($item->created_by_alias ? $item->created_by_alias : $author); ?>
							<?php if (!empty($item->contactid) && $item->params->get('link_author') == true): ?>
								<?php $addparams = $tplparams->get('tpl_userpage_mid') ? '&Itemid=' . $tplparams->get('tpl_userpage_mid') : ''; ?>
								<?php echo '<span class="name">', JText::sprintf('TPL_COM_CONTENT_WRITTEN_BY', '</span><span>' . JHtml::_('link', JRoute::_('index.php?option=com_contact&view=contact' . $addparams . '&id=' . $item->contactid), $author) . '</span>'); ?>
							<?php else : ?>
								<?php echo '<span class="name">', JText::sprintf('TPL_COM_CONTENT_WRITTEN_BY', '</span><span>' . $author . '</span>'); ?>
						<?php endif; ?>
						</span>
					<?php endif; ?>
				</div>

				<?php if ($params->get('show_introtext')) : ?>
					<p class="mod-articles-category-introtext">
						<?php echo $item->displayIntrotext; ?>
					</p>
				<?php endif; ?>

				<div class="footer-feature clearfix">

					<?php if ($item->displayHits) : ?>
						<span class="mod-articles-category-hits">
							<span><?php echo JText::_('TPL_ARTICLES_CATEGORY_HITS') ?>: </span>
							<?php echo $item->displayHits; ?>
						</span>
					<?php endif; ?>

					<?php if ($params->get('show_readmore')) : ?>
						<section class="readmore">
							<a class="btn mod-articles-category-title <?php echo $item->active; ?>"
							   href="<?php echo $item->link; ?>"><span>
								<?php if ($item->params->get('access-view') == FALSE) :
									echo JText::_('MOD_ARTICLES_CATEGORY_REGISTER_TO_READ_MORE'); elseif ($readmore = $item->alternative_readmore) :
									echo $readmore;
									echo JHtml::_('string.truncate', $item->title, $params->get('readmore_limit'));
									if ($params->get('show_readmore_title', 0) != 0) :
										echo JHtml::_('string.truncate', ($item->title), $params->get('readmore_limit'));
									endif; elseif ($params->get('show_readmore_title', 0) == 0) :
									echo JText::sprintf('MOD_ARTICLES_CATEGORY_READ_MORE_TITLE'); else :

									echo JText::_('MOD_ARTICLES_CATEGORY_READ_MORE');
									echo JHtml::_('string.truncate', ($item->title), $params->get('readmore_limit'));
								endif; ?>
							</span>
							</a>
						</section>
					<?php endif; ?>
				</div>
			</div>
		</li>
		<?php
		$i++;
	endforeach; ?>
<?php endif; ?>
</ul>