<?php
/**
* @package		EasyBlog
* @copyright	Copyright (C) 2010 - 2017 Stack Ideas Sdn Bhd. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* EasyBlog is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/
defined('_JEXEC') or die('Unauthorized Access');
?>
<div class="mod-item">

	<!-- item heading-->
	<div class="eb-mod-head mod-table align-middle">
		<?php if ($params->get('showavatar', false)) { ?>
			<div class="mod-cell cell-tight">
				<a href="<?php echo $post->getAuthor()->getProfileLink(); ?>" class="mod-avatar mr-10">
					<img src="<?php echo $post->getAuthor()->getAvatar(); ?>" width="50" height="50" alt="<?php echo $post->getAuthor()->getName();?>" />
				</a>
			</div>
		<?php } ?>

		<?php if ($params->get('showtavatar', false) && $post->isTeamBlog()) { ?>
			<div class="mod-cell cell-tight">
				<a href="<?php echo $post->getBlogContribution()->getPermalink(); ?>" class="mod-avatar mr-10">
					<img src="<?php echo $post->getBlogContribution()->getAvatar(); ?>" width="50" height="50" alt="<?php echo $post->getAuthor()->getName();?>" />
				</a>
			</div>
		<?php } ?>

		<div class="mod-cell">
			<?php if ($params->get('showauthor', false)) { ?>
				<b>
					<a href="<?php echo $post->getAuthor()->getProfileLink(); ?>" class="eb-mod-media-title"><?php echo $post->getAuthor()->getName(); ?></a>
				</b> | 
			<?php } ?>

			<?php if ($params->get('showdate' , true)) { ?>
				<div class="mod-muted mod-small mod-fit">
					<?php echo $post->getCreationDate(true)->format($params->get('dateformat', JText::_('DATE_FORMAT_LC3'))); ?>
				</div>
			<?php } ?>

			<!-- item content-->
			<?php if ($post->posttype == 'quote') { ?>
				<div class="eb-mod-hold-quote eb-mod-quote">
					<a href="<?php echo $post->getPermalink(); ?>" class="eb-mod-media-title"><?php echo nl2br($post->title);?></a>
					<div><?php echo  $post->content; ?></div>
				</div>
			<?php } ?>

			<?php if ($post->posttype == 'video' && !empty($post->videos) && $params->get('video_show', false)) { ?>
				<div class="eb-mod-hold">
				<?php foreach ($post->videos as $video) { ?>
					<div class="eb-mod-hold-video eb-mod-responsive-video">
						<?php echo $video->html; ?>
					</div>
				<?php } ?>
				</div>
			<?php } ?>

			<?php if (in_array($post->posttype, array('twitter', 'link'))) { ?>
				<h4>
					<a href="<?php echo $post->posttype == 'link'? $post->getAsset('link')->getValue() : $post->getPermalink(); ?>" class="eb-mod-media-title"><?php echo $post->title;?></a>
				</h4>
			<?php } else { ?>

				<?php if ($params->get('photo_show', true) && $post->cover) { ?>
					<div class="eb-mod-thumb <?php echo $photoAlignment ? " is-" . $photoAlignment : '';?> <?php echo (isset($photoLayout->full) && $photoLayout->full) ? "is-full" : '';?>">
						
						<?php if (isset($photoLayout->crop) && $photoLayout->crop) { ?>
							<a href="<?php echo $post->getPermalink();?>" class="eb-mod-image-cover"
								style="
									background-image: url('<?php echo $post->cover;?>');
									<?php if (isset($photoLayout->full) && $photoLayout->full) { ?>
									width: 100%;
									<?php } else { ?>
									width: <?php echo $photoLayout->width;?>px;
									<?php } ?>
									height: <?php echo $photoLayout->height;?>px;"
							></a>
						<?php } else { ?>
							<a href="<?php echo $post->getPermalink();?>" class="eb-mod-image"
								style="
									<?php if (isset($photoLayout->full) && $photoLayout->full) { ?>
									width: 100%;
									<?php } else { ?>
									width: <?php echo (isset($photoLayout->width)) ? $photoLayout->width : '260';?>px;
									<?php } ?>"
							>
								<img src="<?php echo $post->cover;?>" alt="<?php echo $post->title;?>" />
							</a>
						<?php } ?>
					</div>
				<?php } ?>

				<h4>
					<a href="<?php echo $post->getPermalink(); ?>" class="eb-mod-media-title"><?php echo $post->title;?></a>
				</h4>

			<?php } ?>

			<?php if ($params->get('showcategory', true)) { ?>
				<?php foreach ($post->getCategories() as $category) { ?>
					<div class="mod-post-type">
						 <a href="<?php echo $category->getPermalink();?>"><?php echo $category->getTitle(); ?></a>
					</div>
				 <?php } ?>
			<?php } ?>

			<?php if ($post->posttype != 'quote' && $params->get('showintro', '-1') != '-1') { ?>
				<div class="eb-mod-body">
					<?php if ($post->protect) { ?>
						<?php echo $post->content; ?>
					<?php } else { ?>
						<?php echo $post->summary; ?>
					<?php } ?>
				</div>
			<?php } ?>
			<!-- item content end-->

			<!-- item footer-->
			<?php if ($modules->config->get('main_ratings') && $params->get('showratings', false) && $post->showRating) { ?>
				<div class="eb-rating">
					<?php echo EB::ratings()->html($post, 'ebmostpopularpost-' . $post->id . '-ratings', JText::_('MOD_EASYBLOG_RATEBLOG'), $disabled); ?>
				</div>
			<?php } ?>

			<?php if ($params->get('showhits' , false) || $params->get('showcommentcount', false) || $params->get('showreadmore', true)) { ?>
				<div class="eb-mod-foot mod-muted mod-small">
					<?php if ($params->get('showhits' , true)) { ?>
						<div class="mod-cell pr-10">
							<?php echo $post->hits;?> <?php echo JText::_('MOD_EASYBLOG_HITS');?>
						</div>
					<?php } ?>

					<?php if ($params->get('showcommentcount', false)) { ?>
						<div class="mod-cell pr-10">
							<a href="<?php echo $post->getPermalink();?>">
								<?php echo EB::string()->getNoun('MOD_EASYBLOG_COMMENT_COUNT', EB::comment()->getCommentCount($post), true);?>
							</a>
						</div>
					<?php } ?>

					<?php if ($params->get('showreadmore', true)) { ?>
						<div class="mod-cell">
							<a href="<?php echo $post->getPermalink(); ?>"><?php echo JText::_('MOD_EASYBLOG_READMORE'); ?></a>
						</div>
					<?php } ?>
				</div>
			<?php } ?>
			<!-- item footer end -->
		</div>
	</div>
	<!-- item heading end -->

</div>