<?php
/**
 * @package     Joomla.Site
 * @subpackage  com_content
 *
 * @copyright   Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

$params = $this->item->params;
?>
<section class="article-content clearfix">
	<div class="article-body">
    <div itemprop="articleBody">
		<?php 
			$replaced = 0;
			$text = str_replace('<div id="disqus_thread"></div>', '', $this->item->text, $replaced);
			$text = preg_replace('@<a href="http://disqus.com" class="dq-powered">(.*?)</a>@ms', '', $text);
			$this->item->replaced = $replaced;

			echo preg_replace('/<p>([\s]*?|(?R))<\/p>/imsU', '', $text); 
		?>
    </div>

		<footer class="article-footer clearfix">
			<?php if ($params->get('show_modify_date')) : ?>
			<dl class="article-info pull-left">
				<dt class="article-info-term"><?php echo JText::_('TPL_ARTICLE_FOOTER_INFO'); ?></dt>
				<dd class="modified" itemprop="dateModified">
					<?php echo JText::sprintf('COM_CONTENT_LAST_UPDATED', '<span>' . JHtml::_('date', $this->item->modified, JText::_('DATE_FORMAT_LC3')) . '</span>'); ?>
				</dd>
			</dl>
			<?php endif; ?>
			<div class="tag-names pull-right" itemprop="keywords">
				<?php if ($params->get('show_tags', 1) && !empty($this->item->tags)) : ?>
					<?php $this->item->tagLayout = new JLayoutFile('joomla.content.tags'); ?>
					<?php echo $this->item->tagLayout->render($this->item->tags->itemTags); ?>
				<?php endif; ?>
			</div>
		</footer>

		<?php if (!empty($this->item->pagination) && $this->item->pagination && $this->item->paginationposition && !$this->item->paginationrelative): ?>
			<hr class="divider-vertical"/>
			<?php echo $this->item->pagination; ?>
		<?php endif; ?>

		<?php if (isset($urls) && ((!empty($urls->urls_position) && ($urls->urls_position == '1')) || ($params->get('urls_position') == '1'))): ?>
			<?php echo $this->loadTemplate('links'); ?>
		<?php endif; ?>

		<?php if (!$params->get('access-view') && $params->get('show_noauth') == true and  $user->get('guest')) : ?>
			
      <div itemprop="description">
        <?php echo $this->item->introtext; ?>
      </div>
      
			<?php if ($params->get('show_readmore') && $this->item->fulltext != null) :
				$link1 = JRoute::_('index.php?option=com_users&view=login');
				$link = new JURI($link1);
			?>
      
			<section class="readmore">
				<a href="<?php echo $link; ?>" itemprop="url">
					<span>
					<?php $attribs = json_decode($this->item->attribs); ?>
					<?php
					if ($attribs->alternative_readmore == null) :
						echo JText::_('COM_CONTENT_REGISTER_TO_READ_MORE');
					elseif ($readmore = $this->item->alternative_readmore) :
						echo $readmore;

					if ($params->get('show_readmore_title', 0) != 0) :
						echo JHtml::_('string.truncate', ($this->item->title), $params->get('readmore_limit'));
					endif;

					elseif ($params->get('show_readmore_title', 0) == 0) :
						echo JText::sprintf('COM_CONTENT_READ_MORE_TITLE');
					else :
						echo JText::_('COM_CONTENT_READ_MORE');
						echo JHtml::_('string.truncate', ($this->item->title), $params->get('readmore_limit'));
					endif;
					?>
					</span>
				</a>
			</section>
			<?php endif; ?>
		<?php endif; ?>
	</div>
</section>