<?php
/**
 * @package     Joomla.Site
 * @subpackage  com_content
 *
 * @copyright   Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;


$tplparams = JFactory::getApplication()->getTemplate(true)->params;
$category  = JCategories::getInstance('Content')->get($this->item->catid);
$catparam  = MagzHelper::getParam($category);
$exinfo    = MagzHelper::getEx($this->item);

// Create a shortcut for params.
$params  = &$this->item->params;
$images  = json_decode($this->item->images);
$canEdit = $this->item->params->get('access-edit');

if (!empty($images->image_intro)) {
	$intro_src   = $images->image_intro;
	$intro_title = !empty($images->image_intro_caption) ? $images->image_intro_caption : $this->item->title;
	$intro_alt   = !empty($images->image_intro_alt) ? $images->image_intro_alt : $this->item->title;
} else {
	$isrc        = MagzHelper::image($this->item, $exinfo['type']);
	$intro_src   = !empty($isrc['src']) ? $isrc['src'] : '';
	$intro_title = $intro_alt = $this->item->title;
}

$link      = $params->get('link_titles') && $params->get('access-view') ? JRoute::_(ContentHelperRoute::getArticleRoute($this->item->slug, $this->item->catid)) : false;
$eventup   = null;
$eventdown = null;
$eventday  = null;
$eventmon  = null;

if(isset($this->item->iattribs) && $this->item->iattribs instanceof JRegistry){
 if($this->item->iattribs->get('event_up') && $this->item->iattribs->get('event_down')){
  $eventday  = JHtml::_('date', $this->item->iattribs->get('event_up'), 'd');
  $eventmon  = JHtml::_('date', $this->item->iattribs->get('event_up'), 'M');
  $eventyear  = JHtml::_('date', $this->item->iattribs->get('event_up'), 'Y');
  $eventup   = JHtml::_('date', $this->item->iattribs->get('event_up'), 'g:i A');
  $eventendmon  = JHtml::_('date', $this->item->iattribs->get('event_down'), 'M');
  $eventendday  = JHtml::_('date', $this->item->iattribs->get('event_down'), 'd');
  $eventdown = JHtml::_('date', $this->item->iattribs->get('event_down'), 'g:i A');  
 }
}
?>

<?php if ($this->item->state == 0 || strtotime($this->item->publish_up) > strtotime(JFactory::getDate())
|| ((strtotime($this->item->publish_down) < strtotime(JFactory::getDate())) && $this->item->publish_down != '0000-00-00 00:00:00' )) : ?>
<div class="system-unpublished">
<?php endif; ?>

	<!-- Article -->
	<article class="clearfix">	
		<div class="pull-left left-blogitem">
			<div class="blog-inner">
	
			<?php if ($params->get('show_title')) : ?>
				<header class="article-header clearfix">
					<h2 class="article-title" itemprop="name">
						<?php if ($link) : ?>
							<a class="event-link" href="<?php echo $link; ?>"> <?php echo $this->escape($this->item->title); ?></a>
						<?php else : ?>
							<?php echo $this->escape($this->item->title); ?>
						<?php endif; ?>
					</h2>
				</header>
			<?php endif; ?>
			<div class="images-content clearfix">
				<?php if (!empty($intro_src)): ?>
					<?php if ($link) : ?>
						<a class="article-link event-link" href="<?php echo $link; ?>">
					<?php endif ?>
					<?php echo MagzHelper::icon($exinfo['type']) ?>
						<img title="<?php echo htmlspecialchars($intro_title); ?>"
								 src="<?php echo htmlspecialchars($intro_src); ?>"
								 alt="<?php echo htmlspecialchars($intro_alt); ?>" itemprop="thumbnailUrl" />
					<?php if ($link) : ?>
						</a>
					<?php endif ?>
				<?php endif; ?>

				<?php if ($params->get('show_category')) : ?>
					<div class="category-name <?php echo $catparam->get('tpl_cat_color', '') ?>" itemprop="genre">
						<?php $title = $this->escape($this->item->category_title);
						$url = '<a href="' . JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->catid)) . '">' . $title . '</a>'; ?>
						<?php if ($params->get('link_category')) : ?>
							<?php echo '<span class="name">', JText::sprintf('COM_CONTENT_CATEGORY', '</span><span>' . $url . '</span>'); ?>
						<?php else : ?>
							<?php echo '<span>', JText::sprintf('COM_CONTENT_CATEGORY', '</span><span>' . $title . '</span>'); ?>
						<?php endif; ?>
					</div>
				<?php endif; ?>
			</div>
			<section class="article-intro clearfix" itemprop="articleBody">
				<?php if (!$params->get('show_intro')) : ?>
					<?php echo $this->item->event->afterDisplayTitle; ?>
				<?php endif; ?>
				<?php $introtext = MagzHelper::sanitize($this->item); ?>
				<?php echo JHtml::_('string.truncate', $introtext, $tplparams->get('tpl_introtext_limit', 200)); ?>
			</section>

			<?php if ($params->get('show_readmore') && $this->item->readmore) :
				if ($params->get('access-view')) :
					$link = JRoute::_(ContentHelperRoute::getArticleRoute($this->item->slug, $this->item->catid)); else :
					$menu = JFactory::getApplication()->getMenu();
					$active = $menu->getActive();
					$itemId = $active->id;
					$link1 = JRoute::_('index.php?option=com_users&view=login&Itemid=' . $itemId);
					$returnURL = JRoute::_(ContentHelperRoute::getArticleRoute($this->item->slug, $this->item->catid));
					$link = new JURI($link1);
					$link->setVar('return', base64_encode($returnURL));
				endif;
				?>
				<section class="readmore">
					<a class="btn event-link" href="<?php echo $link; ?>" itemprop="url"><span>
					<?php if (!$params->get('access-view')) :
						echo JText::_('COM_CONTENT_REGISTER_TO_READ_MORE'); elseif ($readmore = $this->item->alternative_readmore) :
						echo $readmore;
						if ($params->get('show_readmore_title', 0) != 0) :
							echo JHtml::_('string.truncate', ($this->item->title), $params->get('readmore_limit'));
						endif; elseif ($params->get('show_readmore_title', 0) == 0) :
						echo JText::sprintf('COM_CONTENT_READ_MORE_TITLE'); else :
						echo JText::_('COM_CONTENT_READ_MORE');
						echo JHtml::_('string.truncate', ($this->item->title), $params->get('readmore_limit'));
					endif; ?>
					</span></a>
				</section>
			<?php endif; ?>
			</div>
		
		</div>
		<div class="pull-right right-blogitem">
			<!-- Aside -->
			<aside class="article-aside clearfix">

				<?php // to do not that elegant would be nice to group the params ?>
				<?php if (($params->get('show_author') && !empty($this->item->author)) 
					or ($params->get('show_create_date'))  
					or ($params->get('show_hits')) 
					or ($params->get('show_parent_category'))
					or ($eventday && ($eventup || $eventdown))
					) : ?>
					<dl class="article-info clearfix">
						<dt class="article-info-term"><?php echo JText::_('TPL_ARTICLE_FOOTER_INFO'); ?></dt>
						<?php if($eventday && ($eventup || $eventdown)) : ?>
							<dd class="event-time">
								<span class="event-day clearfix">
									<span class="startday">
									<?php echo $eventday ?> <?php echo $eventmon ?>
									</span>
									<span class="endday">
									<?php echo $eventendday ?> <?php echo $eventendmon ?>
									</span>

								</span>
								<span class="times">
									<span class="year"><?php echo $eventyear ?></span>	

								</span>
							</dd>
						<?php endif ?>
						
						<?php if ($params->get('show_author') && !empty($this->item->author )) : ?>
							<dd class="createdby" itemprop="author" itemscope itemtype="http://schema.org/Person">
								<?php $author =  $this->item->author; ?>
								<?php $author = ($this->item->created_by_alias ? $this->item->created_by_alias : $author);?>
								<?php if (!empty($this->item->contactid ) &&  $params->get('link_author') == true):?>
									<?php $addparams = $tplparams->get('tpl_userpage_mid') ? '&Itemid=' . $tplparams->get('tpl_userpage_mid') : ''; ?>
									<?php echo '<span class="name">', JText::sprintf('COM_CONTENT_WRITTEN_BY' ,
										'</span><span>'.JHtml::_('link', JRoute::_('index.php?option=com_contact&view=contact' . $addparams . '&id='.$this->item->contactid), $author).'</span>'); ?>
								<?php else :?>
									<?php echo '<span class="name">', JText::sprintf('COM_CONTENT_WRITTEN_BY', '</span><span>'.$author.'</span>'); ?>
								<?php endif; ?>
							</dd>
						<?php endif; ?>

						<?php if ($params->get('show_create_date')) : ?>
							<dd class="create" itemprop="dateCreated">
								<span><?php echo MagzHelper::relTime($this->item->created); ?></span>
							</dd>
						<?php endif; ?>

						<?php if ($params->get('show_publish_date')) : ?>
							<dd class="published" itemprop="datePublished">
								<span><?php echo MagzHelper::relTime($this->item->publish_up); ?></span>
							</dd>
						<?php endif; ?>

						<?php if ($params->get('show_modify_date')) : ?>
							<dd class="modified" itemprop="dateModified"><?php echo JText::sprintf('COM_CONTENT_LAST_UPDATED', '<span>' . JHtml::_('date', $this->item->modified, JText::_('DATE_FORMAT_LC3')) . '</span>'); ?> </dd>
						<?php endif; ?>

						<?php if ($params->get('show_parent_category') && $this->item->parent_id != 1) : ?>
							<dd class="parent-category-name" itemprop="genre">
								<?php $title = $this->escape($this->item->parent_title);
								$url = '<a href="' . JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->parent_id)) . '">' . $title . '</a>'; ?>
								<?php if ($params->get('link_parent_category')) : ?>
									<?php echo '<span>', JText::sprintf('COM_CONTENT_PARENT', '</span><span>' . $url . '</span>'); ?>
								<?php else : ?>
									<?php echo '<span>', JText::sprintf('COM_CONTENT_PARENT', '</span><span>' . $title . '</span>'); ?>
								<?php endif; ?>
							</dd>
						<?php endif; ?>

						<?php if ($params->get('show_hits')) : ?>
							<dd class="hits" itemprop="interactionCount"><?php echo '<span>', JText::sprintf('COM_CONTENT_ARTICLE_HITS', '</span><span>' . $this->item->hits . '</span>'); ?> </dd>
						<?php endif; ?>
					</dl>
				<?php endif; ?>

				<?php if ($params->get('show_print_icon') || $params->get('show_email_icon') || $canEdit) : ?>
					<div class="menu-edit">
						<ul class="clearfix">
							<?php if ($params->get('show_print_icon')) : ?>
								<li class="print-icon"> <?php echo JHtml::_('icon.print_popup', $this->item, $params); ?> </li>
							<?php endif; ?>
							<?php if ($params->get('show_email_icon')) : ?>
								<li class="email-icon"> <?php echo JHtml::_('icon.email', $this->item, $params); ?> </li>
							<?php endif; ?>
							<?php if ($canEdit) : ?>
								<li class="edit-icon"> <?php echo JHtml::_('icon.edit', $this->item, $params); ?> </li>
							<?php endif; ?>
						</ul>
					</div>
				<?php endif; ?>

			</aside>
			<!-- //Aside -->

			<section class="comment-count clearfix" itemprop="commentCount">
				<!-- Comment count -->
				<?php echo $this->item->event->afterDisplayContent; ?>
				<!-- Comment count -->
		
				<!-- AddThis Button BEGIN -->
				<?php if($tplparams->get('tpl_addthis_share', 1)) : ?>
				<a class="addthis_button_compact" addthis:url="<?php echo JUri::getInstance()->toString(array('scheme', 'host', 'port')) . $link ?>" addthis:title="<?php echo htmlspecialchars($intro_title); ?>"> <?php echo JText::_('TPL_TEXT_SHARE') ?> <i class="icon-share"></i></a>
				<?php endif ?>
				<!-- AddThis Button END -->
			</section>
		</div>
	
	</article>
	<!-- //Article -->

  <?php if ($this->item->state == 0 || strtotime($this->item->publish_up) > strtotime(JFactory::getDate())
|| ((strtotime($this->item->publish_down) < strtotime(JFactory::getDate())) && $this->item->publish_down != '0000-00-00 00:00:00' )) : ?>
</div>
<?php endif; ?>

