<?php
/**
 * @package		Joomla.Site
 * @subpackage	mod_articles_category
 * @copyright	Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;


//register the helper class
JLoader::register('MagzHelper', T3_TEMPLATE_PATH . '/templateHelper.php');

//categories
$tplparams  = JFactory::getApplication()->getTemplate(true)->params;
$categories = JCategories::getInstance('Content', array('countItems' => 0 ));
$dispatcher = JDispatcher::getInstance();

?>
<ul id="equal-box-<?php echo $module->id ?>" class="featured category-module<?php echo $moduleclass_sfx; ?> clearfix">
	<?php foreach ($list as $item) : ?>
		<?php
			$item->slug = $item->alias ? ($item->id . ':' . $item->alias) : $item->id;
			$item->catslug = ($item->category_alias) ? ($item->catid . ':' . $item->category_alias) : $item->catid;
			$item->parent_slug = ($item->parent_alias) ? ($item->parent_id . ':' . $item->parent_alias) : $item->parent_id;
			// No link for ROOT category
			if ($item->parent_alias == 'root') {
				$item->parent_slug = null;
			}

			$item->event = new stdClass();

			// Old plugins: Ensure that text property is available
			if (!isset($item->text))
			{
				$item->text = $item->introtext;
			}
			JPluginHelper::importPlugin('content');
			$results = $dispatcher->trigger('onContentPrepare', array ('com_content.featured', &$item, &$item->params, 0));

			// Old plugins: Use processed text as introtext
			$item->introtext = $item->text;

			$results = $dispatcher->trigger('onContentAfterTitle', array('com_content.featured', &$item, &$item->params, 0));
			$item->event->afterDisplayTitle = trim(implode("\n", $results));

			$results = $dispatcher->trigger('onContentBeforeDisplay', array('com_content.featured', &$item, &$item->params, 0));
			$item->event->beforeDisplayContent = trim(implode("\n", $results));

			$results = $dispatcher->trigger('onContentAfterDisplay', array('com_content.featured', &$item, &$item->params, 0));
			$item->event->afterDisplayContent = trim(implode("\n", $results));
			
			//Resize thumbnail
			$dispatcher->trigger('_onContentBeforeDisplay', array($item, $item->params, 0));

			$exinfo = MagzHelper::getEx($item);

			//Get images 
			$iclass = ''; 
			$images = false;
			if (isset($item->images)) {
				$images = is_string($item->images) ? json_decode($item->images) : $item->images;
			}

			if ($images && !empty($images->image_intro)) {
				$intro_src   = $images->image_intro;
				$intro_title = !empty($images->image_intro_caption) ? $images->image_intro_caption : $item->title;
				$intro_alt   = !empty($images->image_intro_alt) ? $images->image_intro_alt : $item->title;
			} else {
				$isrc        = MagzHelper::image($item, $exinfo['type']);
				$intro_src   = !empty($isrc['src']) ? $isrc['src'] : '';
				$intro_title = $intro_alt = $item->title;
			}

			//Check images empty
			if(!$images || !(isset($images->image_intro) || !empty($images->image_intro))){
				$iclass .= ' no-images';
			}

			$iparams = new JRegistry;
			$iparams->loadString($item->attribs);
			$item->params->merge($iparams);
			$iparams = $item->params;
		?>
		<li class="clearfix <?php echo $iclass;?>">
			<div class="showcategory">
				<div class="view-image">

					<!-- Intro images -->
					<?php if (!empty($intro_src)): ?>
					<div class="img-intro images-content">
						<?php if ($iparams->get('link_titles') == 1) : ?>
						<a class="article-link" href="<?php echo $item->link; ?>">
						<?php endif ?>
							<?php echo MagzHelper::icon($exinfo['type']) ?>
							<img title="<?php echo htmlspecialchars($intro_title); ?>"
								 src="<?php echo htmlspecialchars($intro_src); ?>"
								 alt="<?php echo htmlspecialchars($intro_alt); ?>"/>
						<?php if ($iparams->get('link_titles') == 1) : ?>
						</a>
						<?php endif ?>
					</div>
					<?php endif; ?>

					<!-- Full images-->
					<?php /* if (isset($images->image_fulltext) and !empty($images->image_fulltext)) : ?>
					<div class="img-details">
						<img
							<?php if ($images->image_fulltext_caption):
								echo 'class="caption"'.' title="' .htmlspecialchars($images->image_fulltext_caption) .'"';
							endif; ?>
							src="<?php echo htmlspecialchars($images->image_fulltext); ?>" alt="<?php echo htmlspecialchars($images->image_fulltext_alt); ?>"/>
					</div>
					<?php endif; */ ?>

					<?php if ($iparams->get('show_category')) :?>
						<?php 
							$category = $categories->get($item->catid);
							$catparams = MagzHelper::getParam($category);
						?>
						<span class="category-name <?php echo $catparams->get('tpl_cat_color') ?>">
							<a href="<?php echo JRoute::_(ContentHelperRoute::getCategoryRoute($item->catid));?>">
								<?php echo $item->category_title; ?>
							</a>
						</span>
					<?php endif; ?>
				</div>

				<div class="article-content clearfix">
				
					<div class="article-aside clearfix">
					  	<?php if ($iparams->get('show_author')) :?>
						<span class="mod-articles-category-writtenby">
							<?php $author = $item->author; ?>
							<?php $author = ($item->created_by_alias ? $item->created_by_alias : $author); ?>
							<?php if (!empty($item->contactid) && $iparams->get('link_author') == true): ?>
								<?php $addparams = $tplparams->get('tpl_userpage_mid') ? '&Itemid=' . $tplparams->get('tpl_userpage_mid') : ''; ?>
								<?php echo '<span class="name">', JText::sprintf('COM_CONTENT_WRITTEN_BY',
									'</span><span>' . JHtml::_('link', JRoute::_('index.php?option=com_contact&view=contact' . $addparams . '&id=' . $item->contactid), $author) . '</span>'); ?>
							<?php else : ?>
								<?php echo '<span class="name">', JText::sprintf('COM_CONTENT_WRITTEN_BY', '</span><span>' . $author . '</span>'); ?>
							<?php endif; ?>
						</span>
						<?php endif;?>

						<?php if ($iparams->get('show_create_date')) : ?>
							<span class="mod-articles-category-date">
								<?php echo MagzHelper::relTime($item->created); ?>
							</span>
						<?php endif; ?>
					</div>

					<h3>
						<?php if ($iparams->get('link_titles') == 1) : ?>
							<a class="category-title" href="<?php echo $item->link; ?>">
								<?php echo $item->title; ?>
							</a>
						<?php else :?>
							<?php echo $item->title; ?>
						<?php endif; ?>
					</h3>

					<?php if ($iparams->get('show_intro')) : ?>
					<div class="mod-articles-category-introtext">
						<?php echo $item->event->beforeDisplayContent; ?>
						<?php $introtext = MagzHelper::sanitize($item); ?>
						<?php echo JHtml::_('string.truncate', $introtext, $tplparams->get('tpl_introtext_limit', 200)); ?>
					</div>
					<?php endif; ?>

				</div>

				<div class="comment-count clearfix">
					<div class="footer-feature clearfix">
						<?php if ($iparams->get('show_hits')) :?>
						<span class="mod-articles-category-hits">
							<span><?php echo JText::_('TPL_ARTICLES_CATEGORY_HITS') ?>: </span>
							<?php echo $item->hits; ?>  
						</span>				
						<?php endif; ?>
					</div>
						
					<?php if ($iparams->get('show_readmore')) :?>
						<p class="mod-articles-category-readmore">
							<a class="mod-articles-category-title" href="<?php echo $item->link; ?>">
							<?php if ($iparams->get('access-view') == FALSE) :
									echo JText::_('TPL_ARTICLES_CATEGORY_REG_READMORE');
								elseif ($readmore = $item->alternative_readmore) :
									echo $readmore;
									echo JHtml::_('string.truncate', $item->title, $iparams->get('readmore_limit'));
								elseif ($iparams->get('show_readmore_title', 0) == 0) :
									echo JText::sprintf('TPL_ARTICLES_CATEGORY_READMORE');
								else :
									echo JText::_('TPL_ARTICLES_CATEGORY_READMORE');
									echo JHtml::_('string.truncate', $item->title, $iparams->get('readmore_limit'));
								endif; ?>
							</a>
						</p>
					<?php endif; ?>
					
					<!-- Comment count -->
					<?php echo $item->event->afterDisplayContent; ?>
					<!-- Comment count -->
			
					<!-- AddThis Button BEGIN -->
						<?php if($tplparams->get('tpl_addthis_share', 1)) : ?>
						<a class="addthis_button_compact" addthis:url="<?php echo JUri::getInstance()->toString(array('scheme', 'host', 'port')) . $item->link ?>" addthis:title="<?php echo htmlspecialchars($intro_title); ?>"> <?php echo JText::_('TPL_TEXT_SHARE') ?> <i class="icon-share"></i></a>
						<?php endif ?>
					<!-- AddThis Button END -->
				</div>
			</div>
		</li>
	<?php endforeach; ?>
</ul>

<script type="text/javascript">
	jQuery(document).ready(function($){
		$('#equal-box-<?php echo $module->id ?> > li').eqboxs();
	});
</script>